Maintainer notes for the tau package
====================================

preparing orig tarball
----------------------

(see below for discussion about storing upstream changes in git)

* removing precompiled binaries

find -name '*.jar' \
     -o -name '*.class' \
     -o -name '*.so.gz' \
     -o -name '*.dll.gz' \
     -o -name '*.jnilib.gz' \
 | xargs git rm

git commit -m 'Remove binary files'

* canonicalize Makefiles

./configure -arch=default
make cleandist
rm -rf .*config* etc include/tauroot.h tools/src/TauIL/Makefile.inc tools/src/perfexplorer/configure utils/sedexamples.out
git co HEAD build/Config.info
git add -u
git commit -m 'Canonicalize Makefiles'

* generate tarball

git archive --prefix 2.17.3.1.dfsg/ --format tar dfsg | bzip2 -9 > ../tau_2.17.3.1.dfsg.orig.tar.bz2


generation of debian/patches/
-----------------------------

Packaging is done with a "main" git repo with upstream source which is
not public, because of both volume and DFSG issues.  The useful parts
can be reconstructed from upstream tarballs, and from the
dfsg-filtering shown above.  Or you can deal with the package as with
any other with debian/ tree in a collab-maint git repo.

This "main" repository contains:
* a "dfsg" branch forked off "upstream"
* a "patches" branch managed with git-rebase, for changes to filtered upstream source
* a "debian/" submodule available as git://git.debian.org/git/collab-maint/tau.git
* a "debian" branch forked off "dfsg", with just submodule updates

After a switch to branch "debian" and a "git submodules update", we
can switch back to "patches", and even a "git reset --hard" won't nuke
anything from debian/, so we can happily rewrite the patch stack and
adjust debian/ contents till OK.

The patches are then exported from "patches" to the debian/submodule with:

(cd debian && git rm -f patches/*)
git format-patch -N -o debian/patches/ dfsg..master
(cd debian/patches/ && ls *.patch > series)
(cd debian && git add -f patches)

-- 
Yann Dirson, 2014-10-14.
